# This Makefile.PL for Test2-Harness was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.49.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.014000;
use ExtUtils::MakeMaker;

use Config qw/%Config/;
die "OS unsupported\nTest2-Harness currently only works on systems that support true forking.\n"
    unless $Config{d_fork};
if ($ENV{AUTOMATED_TESTING}) {
    my $is_njh = 0;
    $is_njh ||= -d '/export/home/njh';
    $is_njh ||= -d '/home/njh';
    $is_njh ||= lc($ENV{USER} // 'na') eq 'njh';
    $is_njh ||= lc($ENV{HOME} // 'na') =~ m{njh$};
    $is_njh ||= lc($ENV{PATH} // 'na') =~ m{/njh/};
    die "OS unsupported\nNJH smokers are broken, aborting tests.\n"
        if $is_njh;
}

use File::ShareDir::Install;
$File::ShareDir::Install::INCLUDE_DOTFILES = 1;
$File::ShareDir::Install::INCLUDE_DOTDIRS = 1;
install_share dist => "share";

my %WriteMakefileArgs = (
  "ABSTRACT" => "AKA 'yath' Yet Another Test Harness, A modern alternative to prove.",
  "AUTHOR" => "Chad Granum <exodist\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::ShareDir::Install" => "0.06",
    "Test2::Event::V2" => "1.302199",
    "Test2::Util::Term" => "0.000159"
  },
  "DISTNAME" => "Test2-Harness",
  "EXE_FILES" => [
    "scripts/yath"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.014000",
  "NAME" => "Test2::Harness",
  "PREREQ_PM" => {
    "Atomic::Pipe" => "0.021",
    "B" => 0,
    "Capture::Tiny" => "0.48",
    "Carp" => 0,
    "Class::C3" => "0.35",
    "Consumer::NonBlock" => "0.002",
    "Cpanel::JSON::XS" => "4.38",
    "Crypt::Eksblowfish::Bcrypt" => 0,
    "Cwd" => "3.75",
    "DBI" => 0,
    "DBIx::Class::Helper::ResultSet::RemoveColumns" => 0,
    "DBIx::Class::InflateColumn::DateTime" => 0,
    "DBIx::Class::InflateColumn::Serializer" => 0,
    "DBIx::Class::InflateColumn::Serializer::JSON" => 0,
    "DBIx::QuickDB" => 0,
    "Data::Dumper" => 0,
    "DateTime" => 0,
    "Email::Sender::Simple" => 0,
    "Email::Simple" => 0,
    "Email::Simple::Creator" => 0,
    "Fcntl" => 0,
    "File::Find" => 0,
    "File::Path" => "2.11",
    "File::ShareDir" => 0,
    "File::Spec" => 0,
    "File::Temp" => 0,
    "HTTP::Tiny" => 0,
    "HTTP::Tiny::Multipart" => 0,
    "HTTP::Tiny::UNIX" => 0,
    "IO::Compress::Bzip2" => 0,
    "IO::Compress::Gzip" => 0,
    "IO::Handle" => "1.27",
    "IO::Select" => 0,
    "IO::Uncompress::Bunzip2" => 0,
    "IO::Uncompress::Gunzip" => 0,
    "IPC::Cmd" => 0,
    "Importer" => "0.025",
    "JSON::PP" => 0,
    "LWP" => 0,
    "LWP::UserAgent" => 0,
    "List::Util" => "1.56",
    "MIME::Base64" => 0,
    "POSIX" => 0,
    "Parallel::Runner" => 0,
    "Plack::App::Directory" => 0,
    "Plack::App::File" => 0,
    "Plack::Builder" => 0,
    "Plack::Runner" => 0,
    "Router::Simple" => 0,
    "Scalar::Util" => 0,
    "Scope::Guard" => 0,
    "Statistics::Basic" => 0,
    "Storable" => 0,
    "Sys::Hostname" => 0,
    "Term::Table" => "0.015",
    "Term::Table::Cell" => "0.015",
    "Term::Table::Util" => "0.015",
    "Test2::API" => "1.302199",
    "Test2::Event" => "1.302199",
    "Test2::EventFacet" => "1.302199",
    "Test2::Formatter" => "1.302199",
    "Test2::Plugin::Cover" => "0.000027",
    "Test2::Plugin::DBIProfile" => "0.002006",
    "Test2::Plugin::MemUsage" => "0.002003",
    "Test2::Plugin::UUID" => "0.002008",
    "Test2::Require::AuthorTesting" => "0.000163",
    "Test2::Require::Module" => "0.000163",
    "Test2::Tools::Basic" => "0.000163",
    "Test2::Tools::Compare" => "0.000163",
    "Test2::Tools::Tiny" => "1.302199",
    "Test2::Util" => "1.302199",
    "Test2::Util::Facets2Legacy" => "1.302199",
    "Test2::Util::Times" => "0.000163",
    "Test2::Util::UUID" => "0.002008",
    "Test2::V0" => "0.000163",
    "Test::Builder" => "1.302199",
    "Test::Builder::Formatter" => "1.302199",
    "Text::ParseWords" => "3.31",
    "Text::Xslate" => 0,
    "Time::Elapsed" => 0,
    "Time::HiRes" => 0,
    "UUID" => "0.36",
    "XML::Generator" => 0,
    "YAML::Tiny" => "1.74",
    "base" => 0,
    "constant" => 0,
    "goto::file" => "0.005",
    "parent" => "0.241"
  },
  "TEST_REQUIRES" => {
    "Exporter" => 0,
    "File::Copy" => 0,
    "Path::Tiny" => 0,
    "Test2::IPC" => "1.302199",
    "Test2::Plugin::NoWarnings" => "0.10",
    "Test2::Plugin::UTF8" => "0.000163",
    "Test2::Tools::AsyncSubtest" => "0.000163",
    "Test2::Tools::Explain" => "0.02",
    "Test2::Tools::QuickDB" => "0.000035",
    "Test2::Tools::Subtest" => "0.000163",
    "Test::More" => "1.302199",
    "XML::Simple" => 0
  },
  "VERSION" => "2.000004",
  "test" => {
    "TESTS" => "t/*.t t/JUnit/*.t t/UI/*.t t/acceptence/*.t t/database/*.t t/integration/*.t t/integration/signals/*.t t/unit/App/*.t t/unit/App/Yath/*.t t/unit/App/Yath/Command/*.t t/unit/App/Yath/Command/client/*.t t/unit/App/Yath/Command/db/*.t t/unit/App/Yath/Options/*.t t/unit/App/Yath/Plugin/*.t t/unit/App/Yath/Renderer/*.t t/unit/App/Yath/Renderer/Default/*.t t/unit/App/Yath/Resource/*.t t/unit/App/Yath/Resource/SharedJobSlots/*.t t/unit/App/Yath/Schema/*.t t/unit/App/Yath/Schema/MariaDB/*.t t/unit/App/Yath/Schema/MySQL/*.t t/unit/App/Yath/Schema/Overlay/*.t t/unit/App/Yath/Schema/Percona/*.t t/unit/App/Yath/Schema/PostgreSQL/*.t t/unit/App/Yath/Schema/Result/*.t t/unit/App/Yath/Schema/SQLite/*.t t/unit/App/Yath/Server/*.t t/unit/App/Yath/Server/Controller/*.t t/unit/App/Yath/Server/Util/*.t t/unit/App/Yath/Theme/*.t t/unit/Getopt/Yath/*.t t/unit/Getopt/Yath/Option/*.t t/unit/Getopt/Yath/Settings/*.t t/unit/TAP/Harness/*.t t/unit/TAP/Harness/Yath/*.t t/unit/Test2/*.t t/unit/Test2/EventFacet/*.t t/unit/Test2/Formatter/*.t t/unit/Test2/Harness/*.t t/unit/Test2/Harness/Collector/*.t t/unit/Test2/Harness/Collector/Auditor/*.t t/unit/Test2/Harness/Collector/IOParser/*.t t/unit/Test2/Harness/IPC/*.t t/unit/Test2/Harness/IPC/Protocol/*.t t/unit/Test2/Harness/IPC/Protocol/AtomicPipe/*.t t/unit/Test2/Harness/IPC/Protocol/IPSocket/*.t t/unit/Test2/Harness/IPC/Protocol/UnixSocket/*.t t/unit/Test2/Harness/Instance/*.t t/unit/Test2/Harness/Log/*.t t/unit/Test2/Harness/Log/CoverageAggregator/*.t t/unit/Test2/Harness/Preload/*.t t/unit/Test2/Harness/Reloader/*.t t/unit/Test2/Harness/Resource/*.t t/unit/Test2/Harness/Run/*.t t/unit/Test2/Harness/Runner/*.t t/unit/Test2/Harness/Runner/Preloading/*.t t/unit/Test2/Harness/Scheduler/*.t t/unit/Test2/Harness/Util/*.t t/unit/Test2/Harness/Util/File/*.t t/unit/Test2/Tools/*.t"
  }
);

my %FallbackPrereqs = (
  "Atomic::Pipe" => "0.021",
  "B" => 0,
  "Capture::Tiny" => "0.48",
  "Carp" => 0,
  "Class::C3" => "0.35",
  "Consumer::NonBlock" => "0.002",
  "Cpanel::JSON::XS" => "4.38",
  "Crypt::Eksblowfish::Bcrypt" => 0,
  "Cwd" => "3.75",
  "DBI" => 0,
  "DBIx::Class::Helper::ResultSet::RemoveColumns" => 0,
  "DBIx::Class::InflateColumn::DateTime" => 0,
  "DBIx::Class::InflateColumn::Serializer" => 0,
  "DBIx::Class::InflateColumn::Serializer::JSON" => 0,
  "DBIx::QuickDB" => 0,
  "Data::Dumper" => 0,
  "DateTime" => 0,
  "Email::Sender::Simple" => 0,
  "Email::Simple" => 0,
  "Email::Simple::Creator" => 0,
  "Exporter" => 0,
  "Fcntl" => 0,
  "File::Copy" => 0,
  "File::Find" => 0,
  "File::Path" => "2.11",
  "File::ShareDir" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "HTTP::Tiny" => 0,
  "HTTP::Tiny::Multipart" => 0,
  "HTTP::Tiny::UNIX" => 0,
  "IO::Compress::Bzip2" => 0,
  "IO::Compress::Gzip" => 0,
  "IO::Handle" => "1.27",
  "IO::Select" => 0,
  "IO::Uncompress::Bunzip2" => 0,
  "IO::Uncompress::Gunzip" => 0,
  "IPC::Cmd" => 0,
  "Importer" => "0.025",
  "JSON::PP" => 0,
  "LWP" => 0,
  "LWP::UserAgent" => 0,
  "List::Util" => "1.56",
  "MIME::Base64" => 0,
  "POSIX" => 0,
  "Parallel::Runner" => 0,
  "Path::Tiny" => 0,
  "Plack::App::Directory" => 0,
  "Plack::App::File" => 0,
  "Plack::Builder" => 0,
  "Plack::Runner" => 0,
  "Router::Simple" => 0,
  "Scalar::Util" => 0,
  "Scope::Guard" => 0,
  "Statistics::Basic" => 0,
  "Storable" => 0,
  "Sys::Hostname" => 0,
  "Term::Table" => "0.015",
  "Term::Table::Cell" => "0.015",
  "Term::Table::Util" => "0.015",
  "Test2::API" => "1.302199",
  "Test2::Event" => "1.302199",
  "Test2::EventFacet" => "1.302199",
  "Test2::Formatter" => "1.302199",
  "Test2::IPC" => "1.302199",
  "Test2::Plugin::Cover" => "0.000027",
  "Test2::Plugin::DBIProfile" => "0.002006",
  "Test2::Plugin::MemUsage" => "0.002003",
  "Test2::Plugin::NoWarnings" => "0.10",
  "Test2::Plugin::UTF8" => "0.000163",
  "Test2::Plugin::UUID" => "0.002008",
  "Test2::Require::AuthorTesting" => "0.000163",
  "Test2::Require::Module" => "0.000163",
  "Test2::Tools::AsyncSubtest" => "0.000163",
  "Test2::Tools::Basic" => "0.000163",
  "Test2::Tools::Compare" => "0.000163",
  "Test2::Tools::Explain" => "0.02",
  "Test2::Tools::QuickDB" => "0.000035",
  "Test2::Tools::Subtest" => "0.000163",
  "Test2::Tools::Tiny" => "1.302199",
  "Test2::Util" => "1.302199",
  "Test2::Util::Facets2Legacy" => "1.302199",
  "Test2::Util::Times" => "0.000163",
  "Test2::Util::UUID" => "0.002008",
  "Test2::V0" => "0.000163",
  "Test::Builder" => "1.302199",
  "Test::Builder::Formatter" => "1.302199",
  "Test::More" => "1.302199",
  "Text::ParseWords" => "3.31",
  "Text::Xslate" => 0,
  "Time::Elapsed" => 0,
  "Time::HiRes" => 0,
  "UUID" => "0.36",
  "XML::Generator" => 0,
  "XML::Simple" => 0,
  "YAML::Tiny" => "1.74",
  "base" => 0,
  "constant" => 0,
  "goto::file" => "0.005",
  "parent" => "0.241"
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}
